• Cnchi installing problems


    Cnchi has again problems installing. :(
    Just tried to install Antergos KDE, but the old error of integrity check (that has existed for a while now) failed the install.
    There must be some structural problems with cnchi. And probably more than one actual bugs, since the installing issue is so challenging to fix.

  • Not sure if you’re referring to the same issue but I haven’t been able to install Antergos KDE with the error messing popping up after downloading everything and it just states “can’t install necessary packages. Cinchi can’t continue”…

  • I have the same problem with KDE.
    After tinkering with it I tried to install antegos with GNOME, remove antergos-gnome-meta and install antergos-kde-meta but it also fails with a message that the signature of the package “liblastfm-qt5” is invalid.

  • @_n0x have you tried using reflector to get different up to date mirrors? I’ve just tried to install antergos-kde-meta and it had no problems.

  • _N0x | hace 14 horas

    vulpex | hace unos 45 minutos

    As usual, PROBLEMS OF MIRRORS …

  • @vulpex no i have not. Thanks for the tip. I’ll give it a try. Could you provide me the mirrors you used? I’m from germany an it seem the mirrors over here are slightly outdated…

    @judd Sorry to bother but what exactly do you mean? That the mirrors should now be in sync or that vulpex and I probably used different mirrors.

  • @_n0x said in Cnchi installing problems:

    I’m from germany an it seem the mirrors over here are slightly outdated

    https://gist.github.com/killajoe/96de9759f6ce9f707b72d1ea9f423b20

    just created mirrorlist and antergos-mirrorlist for germany ;)

  • @joekamprad

    Thanks a lot! I’ll give it a try once I get back home and report back if it works now.

  • @joekamprad
    Now that is a great idea! 👏 🍻

    In fact, many people could do the same and create a working mirrorlists for their country. And prefererably keep them up to date as well. That would be real participation! :)

    These files could eventually be formed into a package, one of the things that the new Antergos community mirror (or any other for that matter) could contain.

  • Nevertheless i fail to install KDE with this lists…

  • @joekamprad

    Do you manage to install KDE with the reflector “hack” I posted yesterday? Or is it only Openbox that succeeds to install with that?

  • @_n0x said in Cnchi installing problems:

    I have the same problem with KDE.
    After tinkering with it I tried to install antegos with GNOME, remove antergos-gnome-meta and install antergos-kde-meta but it also fails with a message that the signature of the package “liblastfm-qt5” is invalid.

    this is may not directly the same issue, and simple caused by liblastfm-qt5 has a corrupted signature at antergos mirrors…

    https://github.com/Antergos/antergos-packages/issues/351

  • @searedvandal kde fails again with hand generated mirrorlists, and cleaning pacman cache… and of cause do not rank mirrors by cnchi…

    Problem is also that i can not get what packages exactly where failing from the logs… to mee it looks more like that the alpm mix up checksums from another mirror then the packages where downloaded from…

  • @joekamprad
    Alpm is AFAIK from upstream, not Antergos, and they haven’t complained about this…
    So it must be an issue (or maybe more than one, which is typical in complex error cases) in cnchi I guess.

  • 2018-06-21 17:00:17 [DEBUG] download_requests.py(229) download_package(): Looking for kglobalaccel-5.47.0-1 in 1 mirrors...
    2018-06-21 17:00:17 [DEBUG] download_requests.py(239) download_package(): Package kglobalaccel-5.47.0-1 has an empty url for this mirror
    2018-06-21 17:00:17 [DEBUG] download_requests.py(259) download_package(): Can't download None, Cnchi will try another mirror.
    

    may something like this is the cause? i checked and the miorrors i choose all have this package in the same version aviable…

  • @joekamprad
    Now I remember wondering about the same. The mirrors do have the packages, but cnchi sometimes fails to accept that.
    For me it sounds like a threading issue (a thread corrupting some memory of another thread), if that is possible with cnchi implementation.

  • @manuel

    I have nowhere near the knowledge to figure out if it’s a threading issue, but you’re making a good point and it could very well be something like that. Let the developers know, maybe they can take a look at it and see if there is anything in the code that could point towards that.

    It’s always different mirrors and packages that are failing the integrity checks. The more failed installs I try in VirtualBox the more I think that the issue aren’t with the mirrors, but somewhere in the Cnchi code.

  • or simple protocol problem? as they are different mirrors… ftp rsync and http https…

  • connectionpool.py(396) _make_request(): http://mirrors.n-ix.net:80 "GET /archlinux/extra/os/x86_64/pavucontrol-1:3.0+23+g335c26c-1-x86_64.pkg.tar.xz HTTP/1.1" 200 131428
    

    i do a try with only http mirrors ;)

  • rsync mirrors will probably fail, at least they did for me when I let reflector use all protocols, when I went that route to generate updated mirrorlist. I’ve had successful install on Openbox with only https mirrors, but I think Cnchi does http only by default? (if I read the code correctly)

    I think the best route for installing for anyone having these issues now is to either do a Base install or choosing something like XFCE which I have had installation completed on a couple of times over the last 24 hours, and then installing the KDE meta package after first boot from hard drive.

cnchi154 installing113 Posts 32Views 2603
Locked
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.